xml-commons-resolver API: Interface CatalogReader

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.readers
Interface CatalogReader

All Known Implementing Classes:
  SAXCatalogReader, TextCatalogReader, DOMCatalogReader

public interface CatalogReader

The CatalogReader interface.

The Catalog class requires that classes implement this interface in order to be used to read catalogs. Examples of CatalogReaders include the TextCatalogReader, the SAXCatalogReader, and the DOMCatalogReader.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `Catalog`

Method Summary
`void` | `readCatalog(Catalog catalog, java.io.InputStream is)` Read a catalog from an input stream.
`void` | `readCatalog(Catalog catalog, java.lang.String fileUrl)` Read a catalog from a file.

Method Detail

### readCatalog

    public void readCatalog(Catalog catalog,
                            java.lang.String fileUrl)
                     throws java.net.MalformedURLException,
                            java.io.IOException,
                            CatalogException

  Read a catalog from a file.

  This class reads a catalog from a URL.

  Parameters:
    `catalog` - The catalog for which this reader is called.
    `fileUrl` - The URL of a document to be read.
  Throws:
    `java.net.MalformedURLException` - if the specified URL cannot be turned into a URL object.
    `java.io.IOException` - if the URL cannot be read.
    `UnknownCatalogFormatException` - if the catalog format is not recognized.
    `UnparseableCatalogException` - if the catalog cannot be parsed. (For example, if it is supposed to be XML and isn't well-formed.)

### readCatalog

    public void readCatalog(Catalog catalog,
                            java.io.InputStream is)
                     throws java.io.IOException,
                            CatalogException

  Read a catalog from an input stream.

  This class reads a catalog from an input stream.

  Parameters:
    `catalog` - The catalog for which this reader is called.
    `is` - The input stream that is to be read.
  Throws:
    `java.io.IOException` - if the URL cannot be read.
    `UnknownCatalogFormatException` - if the catalog format is not recognized.
    `UnparseableCatalogException` - if the catalog cannot be parsed. (For example, if it is supposed to be XML and isn't well-formed.)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.